<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpSelectButton: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimp-selectors.html" title="Controlling the Core's Selection Dialogs">
<link rel="prev" href="libgimp-selectors.html" title="Controlling the Core's Selection Dialogs">
<link rel="next" href="GimpBrushSelectButton.html" title="gimpbrushselectbutton">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpSelectButton.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpSelectButton.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpSelectButton.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimp-selectors.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libgimp-selectors.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpBrushSelectButton.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpSelectButton"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpSelectButton.top_of_page"></a>GimpSelectButton</span></h2>
<p>GimpSelectButton — The base class of the data select buttons.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpSelectButton.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody><tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSelectButton.html#gimp-select-button-close-popup" title="gimp_select_button_close_popup ()">gimp_select_button_close_popup</a> <span class="c_punctuation">()</span>
</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpSelectButton.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpSelectButton.html#GimpSelectButton-struct" title="GimpSelectButton">GimpSelectButton</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpSelectButton.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> GimpSelectButton
                            <span class="lineart">├──</span> <a class="link" href="GimpBrushSelectButton.html" title="gimpbrushselectbutton">GimpBrushSelectButton</a>
                            <span class="lineart">├──</span> <a class="link" href="GimpFontSelectButton.html" title="GimpFontSelectButton">GimpFontSelectButton</a>
                            <span class="lineart">├──</span> <a class="link" href="GimpGradientSelectButton.html" title="GimpGradientSelectButton">GimpGradientSelectButton</a>
                            <span class="lineart">├──</span> <a class="link" href="GimpPaletteSelectButton.html" title="GimpPaletteSelect">GimpPaletteSelectButton</a>
                            <span class="lineart">╰──</span> <a class="link" href="GimpPatternSelectButton.html" title="GimpPatternSelectButton">GimpPatternSelectButton</a>
</pre>
</div>
<div class="refsect1">
<a name="GimpSelectButton.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpSelectButton implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpSelectButton.description"></a><h2>Description</h2>
<p>The base class of the brush, pattern, gradient, palette and font
select buttons.</p>
</div>
<div class="refsect1">
<a name="GimpSelectButton.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-select-button-close-popup"></a><h3>gimp_select_button_close_popup ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_select_button_close_popup (<em class="parameter"><code><a class="link" href="GimpSelectButton.html" title="GimpSelectButton"><span class="type">GimpSelectButton</span></a> *button</code></em>);</pre>
<p>Closes the popup window associated with <em class="parameter"><code>button</code></em>
.</p>
<div class="refsect3">
<a name="gimp-select-button-close-popup.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpSelectButton.html" title="GimpSelectButton"><span class="type">GimpSelectButton</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpSelectButton.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpSelectButton-struct"></a><h3>GimpSelectButton</h3>
<pre class="programlisting">typedef struct _GimpSelectButton GimpSelectButton;</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>